MARTe2-core - User story #295

Review documentation
18.01.2016 10:52 - André Neto

Status: Closed Start date: 18.01.2016
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.11 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Review the MARTe documentation and fix any issues found during the process.

Branch: fix_documentation

Source code files modified

)

Source/Core/Namespaces.dox
Source/Core/BareMetal/L0Types/BitBoolean.h
Source/Core/BareMetal/L0Types/BitRange.h
Source/Core/BareMetal/LOTypes/Doublelnteger.h
Source/Core/BareMetal/LOTypes/lterator.h
Source/Core/BareMetal/LOTypes/lteratorT.h
Source/Core/BareMetal/L0Types/LinkedListHolder.h
Source/Core/BareMetal/LOTypes/LinkedListable.h
Source/Core/BareMetal/L0Types/Matrix.h
Source/Core/BareMetal/LOTypes/SearchFilter.h
Source/Core/BareMetal/LOTypes/SearchFilterT.h
Source/Core/BareMetal/LOTypes/Shift.h
Source/Core/BareMetal/LOTypes/SortFilter.h
Source/Core/BareMetal/LOTypes/SortFilterT.h
Source/Core/BareMetal/L0Types/TypeCharacteristics.h
Source/Core/BareMetal/LOTypes/Vector.h
Source/Core/BareMetal/L1Portability/BasicConsole.h
Source/Core/BareMetal/L1Portability/Endianity.h
Source/Core/BareMetal/L1Portability/FastPollingMutexSem.h
Source/Core/BareMetal/L1Portability/Handlel.h
Source/Core/BareMetal/L1Portability/Heapl.h
Source/Core/BareMetal/L1Portability/HeapManager.cpp
Source/Core/BareMetal/L1Portability/LoadableLibrary.h
Source/Core/BareMetal/L1Portability/ TimeStamp.h
Source/Core/BareMetal/L20bjects/AnyType.h
Source/Core/BareMetal/L20bjects/ReferenceT.h
Source/Core/BareMetal/L3Streams/BitSetTolnteger.h
Source/Core/BareMetal/L3Streams/BufferedStreamGenerator.h
Source/Core/BareMetal/L3Streams/BufferedStream|OBuffer.h
Source/Core/BareMetal/L3Streams/DoubleBufferedStream.h
Source/Core/BareMetal/L3Streams/IOBuffer.h
Source/Core/BareMetal/L3Streams/SingleBufferedStream.h
Source/Core/BareMetal/L4Configuration/Parserl.h
Source/Core/BareMetal/L4Configuration/Token.h
Source/Core/BareMetal/L4Configuration/TokenInfo.h
Source/Core/FileSystem/L1Portability/BasicSocket.h
Source/Core/FileSystem/L1Portability/BasicTCPSocket.h
Source/Core/FileSystem/L1Portability/BasicUDPSocket.h
Source/Core/FileSystem/L1Portability/Directory.h
Source/Core/FileSystem/L1Portability/DirectoryScanner.h
Source/Core/FileSystem/L1Portability/InternetHost.h
Source/Core/FileSystem/L1Portability/InternetService.h
Source/Core/FileSystem/L1Portability/Select.h
Source/Core/Scheduler/L1Portability/ExceptionHandler.h

Architecture & design review
Date of the review: 18/01/2016
Person who did the review: Andre' Neto

Version of architecture & design document: N/A. As per the original MARTe implementation, this is a support function and does
not require formal design in UML.

Result of review: N/A

List of non-conformities: N/A

Code and documentation review
Date of the review: 03/02/2016

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 03/02/2016

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 144f43f0 - 20.01.2016 16:48 - lvan Herrero

#295 - Fix issues on namespaces documentation

All changes has been made on the Namespaces.dox file, which centralizes
the documentation for namespaces.

Revision 9ce668de - 27.01.2016 10:30 - Ivan Herrero

#295 - Improve documentation on header and source files.

Revision 438483e1 - 28.01.2016 12:34 - lvan Herrero

#295 - Improve documentation on header and source files (continuation).
Revision 41246479 - 02.02.2016 12:25 - lvan Herrero
#295 - Improve documentation on header and source files (continuation

bis).

History

#1 - 18.01.2016 10:54 - André Neto

- Description updated
- Status changed from New to Code: Impl

- Target version set to 0.11

#2 - 18.01.2016 17:16 - lvan Herrero

- Assignee set to Ivan Herrero

#3 - 19.01.2016 09:04 - lvan Herrero

- Description updated

#4 - 04.02.2016 09:10 - lvan Herrero

- Description updated

- Status changed from Code: Impl to Closed

- Assignee deleted (lvan Herrero)

commit 1bd14283b56d5ccb808b79c575115f45143ec641

Merge branch 'fix_documentation' into develop

Conflicts:
Source/Core/BareMetal/L3Streams/BitSetTolnteger.h

11.04.2025

3/3


http://www.tcpdf.org

